Package org.apache.batchee.container.impl.controller

## Class SplitController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.SplitController

- All Implemented Interfaces:
    `Controller`, `ExecutionElementController`

      public class SplitController
      extends Object
      implements ExecutionElementController

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Split` | `split` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SplitController​(RuntimeJobExecution jobExecution, Split split, long rootJobExecutionId, BatchKernelService kernelService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SplitExecutionStatus` | `execute()` |
    `List<Long>` | `getLastRunStepExecutions()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### split

          protected Split split

  - ### Constructor Detail

    - #### SplitController

          public SplitController​(RuntimeJobExecution jobExecution,
                                 Split split,
                                 long rootJobExecutionId,
                                 BatchKernelService kernelService)

  - ### Method Detail

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `Controller`

    - #### execute

          public SplitExecutionStatus execute()
                                       throws javax.batch.operations.JobRestartException,
                                              javax.batch.operations.JobStartException,
                                              javax.batch.operations.JobExecutionAlreadyCompleteException,
                                              javax.batch.operations.JobExecutionNotMostRecentException,
                                              javax.batch.operations.NoSuchJobExecutionException

      Specified by:
        `execute` in interface `ExecutionElementController`
      Throws:
        `javax.batch.operations.JobRestartException`
        `javax.batch.operations.JobStartException`
        `javax.batch.operations.JobExecutionAlreadyCompleteException`
        `javax.batch.operations.JobExecutionNotMostRecentException`
        `javax.batch.operations.NoSuchJobExecutionException`

    - #### getLastRunStepExecutions

          public List<Long> getLastRunStepExecutions()

      Specified by:
        `getLastRunStepExecutions` in interface `Controller`